> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a list of agents

> ## Fetch a list of agents ##

<p>
Fetch a list of agents the authenticated supplier has access to.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>agentId</td><td>n</td><td>Integer</td><td>Agent identifer.</td>
         </tr>
         <tr>
             <td>agentFatherId</td><td>n</td><td>Integer</td><td>Agent Father identifer.</td>
         </tr>
         <tr>
             <td>agentCode</td><td>n</td><td>String</td><td>Three-letter Agent identifier.</td>
         </tr>
         <tr>
             <td>name</td><td>n</td><td>String</td><td>Agent name.</td>
         </tr>
         <tr>
             <td>emailAccounts</td><td>y</td><td>String</td><td>Agent accounts email address.</td>
         </tr>
         <tr>
             <td>businessNumber</td><td>y</td><td>String</td><td>Agent business number.</td>
         </tr>
         <tr>
             <td>street1</td><td>n</td><td>String</td><td>Street address of Agent.</td>
         </tr>
         <tr>
             <td>street2</td><td>y</td><td>String</td><td>Secondary street address of Agent.</td>
         </tr>
         <tr>
             <td>suburb</td><td>n</td><td>String</td><td>Agent suburb.</td>
         </tr>
         <tr>
             <td>state</td><td>y</td><td>String</td><td>Agent state.</td>
         </tr>
         <tr>
             <td>postcode</td><td>y</td><td>String</td><td>Agent postcode.</td>
         </tr>
         <tr>
             <td>country</td><td>n</td><td>String</td><td>Agent Country.</td>
         </tr>
         <tr>
             <td>workPhone</td><td>n</td><td>String</td><td>Agent work phone number.</td>
         </tr>
         <tr>
             <td>currency</td><td>n</td><td>Object</td><td>Currency object.</td>
         </tr>
     </tbody>
 </table>

 **Currency Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>isoCode</td><td>n</td><td>String</td><td>Agent's currency code (ISO-4217 three-character code).</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /apiv1/supplier/agents
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /apiv1/supplier/agents:
    get:
      tags:
        - Version 1
      summary: Fetch a list of agents
      description: |-
        ## Fetch a list of agents ##

        <p>
        Fetch a list of agents the authenticated supplier has access to.
        </p>

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>agentId</td><td>n</td><td>Integer</td><td>Agent identifer.</td>
                 </tr>
                 <tr>
                     <td>agentFatherId</td><td>n</td><td>Integer</td><td>Agent Father identifer.</td>
                 </tr>
                 <tr>
                     <td>agentCode</td><td>n</td><td>String</td><td>Three-letter Agent identifier.</td>
                 </tr>
                 <tr>
                     <td>name</td><td>n</td><td>String</td><td>Agent name.</td>
                 </tr>
                 <tr>
                     <td>emailAccounts</td><td>y</td><td>String</td><td>Agent accounts email address.</td>
                 </tr>
                 <tr>
                     <td>businessNumber</td><td>y</td><td>String</td><td>Agent business number.</td>
                 </tr>
                 <tr>
                     <td>street1</td><td>n</td><td>String</td><td>Street address of Agent.</td>
                 </tr>
                 <tr>
                     <td>street2</td><td>y</td><td>String</td><td>Secondary street address of Agent.</td>
                 </tr>
                 <tr>
                     <td>suburb</td><td>n</td><td>String</td><td>Agent suburb.</td>
                 </tr>
                 <tr>
                     <td>state</td><td>y</td><td>String</td><td>Agent state.</td>
                 </tr>
                 <tr>
                     <td>postcode</td><td>y</td><td>String</td><td>Agent postcode.</td>
                 </tr>
                 <tr>
                     <td>country</td><td>n</td><td>String</td><td>Agent Country.</td>
                 </tr>
                 <tr>
                     <td>workPhone</td><td>n</td><td>String</td><td>Agent work phone number.</td>
                 </tr>
                 <tr>
                     <td>currency</td><td>n</td><td>Object</td><td>Currency object.</td>
                 </tr>
             </tbody>
         </table>

         **Currency Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>isoCode</td><td>n</td><td>String</td><td>Agent's currency code (ISO-4217 three-character code).</td>
                 </tr>
             </tbody>
         </table>
      operationId: get_api_agent_agent_getagents
      responses:
        '200':
          description: Returned when successful.
        '403':
          description: Returned when the user is not authorized.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.